
Figure - Bug #113040
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】进入系统-日期与时间-时区、点击时区或者区域，左侧一级列表会闪一下，页面上
方会出现其他页面的小字
2022-10-26 16:32 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-26

Priority: Normal Due date: 2022-11-04

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221026.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、设置页面左边，设置标题收在上方时

【测试步骤】

1、进入-设置-系统-日期与时间-时区

2、点击时区或者区域

【预期结果】

2、正常进入时区或者区域页面

【实际结果】

3、进入页面时，左侧一级列表会闪一下（必现），页面上方会出现其他页面的小字（概率不足10%）

History

#1 - 2022-10-27 15:27 - CDTS-TEST 周婷

- Due date set to 2022-11-04

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#2 - 2022-10-27 16:16 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

#3 - 2022-10-31 11:02 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

■ Current conclusion

本地已修复并验证。
■ My analysis

由于原生代码，选择语言会跳转到全屏，导致一级菜单选中状态失效。

■Submit URL

下一步做什么，或者提交是什么，写明验证步骤https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158461

#4 - 2022-10-31 11:06 - CD AF-陈羽杰

- Assignee changed from CD TEST-方永红 to CD AF-陈羽杰

#5 - 2022-10-31 11:06 - CD AF-陈羽杰

- Status changed from RESOLVED to ASSIGNED

#6 - 2022-10-31 18:53 - CD AF-陈羽杰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

■ Current conclusion

本地已修复验证

■ My analysis

由于原生时区页面会重置父页面的title状态，导致出现该现象

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/158765

#7 - 2022-11-01 11:46 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0042.X101

11.1 验证关闭

#8 - 2022-11-01 11:46 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

158765 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix Click the time zone or area, and the left level list will flash1.fix Click the time zone or area, and the left level list will flash2.fix ManageApplications 

the left level list will flashTC-RID: 1201-0201813IssueID: TS-R-BUG-113040Change-Id: I2809b87ff099b05c5db0d38e5071bb0071e81d35
